%global modulename eslint-module-utils

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint-module-utils
Version:        2.2.0
Release:        1%{?dist}
Summary:        Core utilities to support eslint-plugin-import and other module-related plugins.

License:        MIT
URL:            https://github.com/benmosher/eslint-plugin-import#readme
Source0:        https://registry.npmjs.org/eslint-module-utils/-/eslint-module-utils-2.2.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(debug) >= 2.6.8 with npmlib(debug) < 3.0.0))
BuildRequires:  ((npmlib(pkg-dir) >= 1.0.0 with npmlib(pkg-dir) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Core utilities to support eslint-plugin-import and other module-related plugins.

%package 2.2.0
Summary:        Core utilities to support eslint-plugin-import and other module-related plugins.


%description 2.2.0
Core utilities to support eslint-plugin-import and other module-related plugins.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ModuleCache.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr declaredScope.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr hash.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ignore.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr module-require.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr moduleVisitor.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package-lock.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr resolve.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr unambiguous.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc CHANGELOG.md
%{nodejs_dir}/%{modulename}

%files 2.2.0
%doc CHANGELOG.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 2.2.0-1
- Package automatically generated by npm2srpm
